<?php
/**
 * Déclaration de l'interface CommandLine\Argument\IArgumentValueDescription
 */
namespace CommandLine\Argument;

/**
 * Interface à implementer par les arguments qui souhaitent détailler la valeur attendue
 *
 * @package CommandLine\Argument
 */
interface IArgumentValueDescription {
    /**
     * La description de la valeur de d'argument.
     *
     * @return string La description.
     */
    public function getValueDescription();
}