<?php
/**
 * Déclaration de l'exception CommandLine\Exception\IncorrectParse.
 */
namespace CommandLine\Exception;

use CommandLine\Argument\IArgument;
use RuntimeException;

/**
 * Exception levée quand le parsage d'un argument échoue
 *
 * Exemples :
 *  - Valeur incorrecte
 *  - Valeur manquante
 *
 * @package CommandLine\Exception
 *
 * @see IArgument::parse()
 */
class IncorrectParse extends RuntimeException implements IException {}