<?php
/**
 * Déclaration de l'interface CommandLine\Argument\Option\IArgumentSecondary.
 */
namespace CommandLine\Argument\Option;

/**
 * Interface à implémenter si l'argument "option" auto-déclare d'autres arguments
 *
 * @package CommandLine\Argument\Option
 */
interface IArgumentOptionSecondary {
    /**
     * La liste des arguments auto-déclarés.
     *
     * @return IArgumentOption[] La liste des arguments
     */
    public function getOthersOptions();
}